/ Decus C patch level 5, Compilation date: "Fri Nov 05 22:09:11 1982"
	.psect	.data.
index_of:
	.word	0
	.even
	.psect	.prog.
gethdr:
	jsr	r5,csv~
	sub	$54,sp
	tst	index_of
	bne	.2
	mov	r5,-(sp)
	add	$177724,(sp)
	mov	12(r5),-(sp)
	jsr	pc,iovtoa
	cmp	(sp)+,(sp)+
	mov	r5,r0
	add	$177724,r0
	mov	r0,-56(r5)
.4:
	mov	-56(r5),r0
	inc	-56(r5)
	cmpb	(r0),$72
	bne	.4
.3:
	.psect	.strn.
.5:
	.byte	133,60,54,60,135,111,116,104,105,130,106,56,123
	.byte	131,123,0
	.psect	.prog.
	mov	$.5,-60(r5)
.7:
	mov	-60(r5),r4
	inc	-60(r5)
	mov	-56(r5),r0
	inc	-56(r5)
	movb	(r4),(r0)
	bne	.7
.6:
	.psect	.strn.
.11:
	.byte	162,165,156,142,0
	.psect	.prog.
	mov	12(r5),-(sp)
	mov	$.11,-(sp)
	mov	r5,-(sp)
	add	$177724,(sp)
	jsr	pc,freopen
	add	$6,sp
	tst	r0
	bne	.10
	mov	$177777,r0
	br	.1
.10:
	mov	12(r5),r3
	mov	$77777,r4
	mov	r4,36(r3)
	mov	12(r5),r0
	mov	r4,32(r0)
	.psect	.mwcn.
.77777:
	.word	0,1000
	.psect	.prog.
	clr	-(sp)
	mov	.77777+2,-(sp)
	mov	.77777,-(sp)
	mov	12(r5),-(sp)
	jsr	pc,fseek
	add	$10,sp
	mov	12(r5),-(sp)
	mov	$1000,-(sp)
	mov	4(r5),-(sp)
	jsr	pc,fget
	add	$6,sp
	mov	r0,-10(r5)
	movb	*4(r5),r0
	inc	r0
	mov	r0,index_of
.2:
	.psect	.mwcn.
.77776:
	.word	0,1000
	.psect	.prog.
	mov	index_of,-(sp)
	add	6(r5),(sp)
	mov	.77776+2,-(sp)
	mov	.77776,-(sp)
	.globl	mul~li
	jsr	pc,mul~li
	add	$6,sp
	mov	r0,-64(r5)
	mov	r1,-62(r5)
	clr	-(sp)
	mov	-62(r5),-(sp)
	mov	-64(r5),-(sp)
	mov	12(r5),-(sp)
	jsr	pc,fseek
	add	$10,sp
	mov	12(r5),-(sp)
	mov	$1000,-(sp)
	mov	4(r5),-(sp)
	jsr	pc,fget
	add	$6,sp
	mov	r0,-10(r5)
	mov	4(r5),r0
	cmp	2(r0),6(r5)
	bne	.12
	mov	4(r5),r0
	cmp	4(r0),10(r5)
	bne	.12
	clr	r0
	br	.1
.12:
	.psect	.strn.
.13:
	.byte	151,156,144,145,170,137,157,146,146,163,145,164
	.byte	75,45,144,12,0
	.psect	.prog.
	mov	index_of,-(sp)
	mov	$.13,-(sp)
	jsr	pc,printf
	cmp	(sp)+,(sp)+
	.psect	.strn.
.14:
	.byte	162,145,161,54,40,147,157,164,72,40,45,157,54
	.byte	45,157,40,40,40,45,157,54,45,157,12,0
	.psect	.prog.
	mov	4(r5),r0
	mov	4(r0),-(sp)
	mov	4(r5),r0
	mov	2(r0),-(sp)
	mov	10(r5),-(sp)
	mov	6(r5),-(sp)
	mov	$.14,-(sp)
	jsr	pc,printf
	add	$12,sp
	mov	$177734,r0
.1:
	jmp	cret~
	.psect	.data.
	.even
	.globl	fseek
	.globl	printf
	.globl	iovtoa
	.globl	stderr
	.globl	stdout
	.globl	stdin
	.globl	fget
	.globl	~~ferr
	.globl	index_of
	.globl	freopen
	.globl	gethdr
	.globl	csv~
	.globl	cret~
	.psect	.prog.
	.even
	.psect	.data.
	.even
	.psect	.mwcn.
	.even
	.psect	.prof.
	.even
